; 65c816 opcodes 0x70-0x7F:
;    70: BVS r       2,2
;    71: ADC (d),y   2,5
;    72: ADC (d)     2,5
;    73: ADC (d,s),y 2,7
;    74: STZ d,x     2,4
;    75: ADC d,x     2,4
;    76: ROR d,x     2,6
;    77: EOR [d],y   2,6
;    78: SEI i       1,2
;    79: ADC a,y     3,4
;    7A: PLY s       1,4
;    7B: TDC i       1,2
;    7C: JMP (a,x)   3,6
;    7D: ADC a,x     3,4
;    7E: ROR a,x     3,7
;    7F: ADC al,x    4,5

; 70
BFS BVS,SNES_FLAG_V

; 71
EM_ADC OdO_y,Direct_Indirect_Indexed
E0_ADC OdO_y,Direct_Indirect_Indexed

; 72
EM_ADC OdO,Direct_Indirect
E0_ADC OdO,Direct_Indirect

; 73
EM_ADC Od_sO_y,Stack_Relative_Indirect_Indexed
E0_ADC Od_sO_y,Stack_Relative_Indirect_Indexed

; 74
EM_STZ d_x,Direct_Index_X
E0_STZ d_x,Direct_Index_X

; 75
EM_ADC d_x,Direct_Index_X
E0_ADC d_x,Direct_Index_X

; 76
EM_ROR d_x,Direct_Index_X
E0_ROR d_x,Direct_Index_X

; 77
EM_ADC IdI_y,Direct_Indirect_Indexed_Long
E0_ADC IdI_y,Direct_Indirect_Indexed_Long

; 78

ALIGNC
ALL_SEI:
 inc R_NativePC
 SET_FLAG SNES_FLAG_I
 jmp near CPU_RETURN

; 79
EM_ADC a_y,Absolute_Index_Y
E0_ADC a_y,Absolute_Index_Y

; 7A

ALIGNC
E0_PLY:
 inc R_NativePC
 E0_PULL_W
 mov B_Y,eax
;test ax,ax
 shl eax,16
 STORE_FLAGS SNES_FLAG_NZ
 jmp near CPU_RETURN
ALIGNC
EX_PLY:
 inc R_NativePC
 E0_PULL_B
 mov B_Y,al
 test al,al
 STORE_FLAGS SNES_FLAG_NZ
 jmp near CPU_RETURN
ALIGNC
E1_PLY:
 inc R_NativePC
 E1_PULL_B
 mov B_Y,al
 test al,al
 STORE_FLAGS SNES_FLAG_NZ
 jmp near CPU_RETURN

; 7B

ALIGNC
ALL_TDC:
 inc R_NativePC
 mov eax,B_D
 mov B_A,eax
;test ax,ax
 shl eax,16
 STORE_FLAGS SNES_FLAG_NZ
 jmp near CPU_RETURN

; 7C

ALIGNC
ALL_JMP_Oa_xO:
 ADDR_Absolute_Indexed_Indirect

 mov ebx,B_PB_Shifted
 mov R_NativePC,eax
 or eax,ebx

 shr eax,13
 mov eax,[_Read_Bank8Offset+eax*4]
 test eax,eax
 jnz .read_direct

 xor ebx,ebx
 mov eax,_Blank     ;we should really trap this...
.read_direct:
 add eax,ebx

 add R_NativePC,eax
 mov B_PBOffset,eax

 jmp near CPU_RETURN

; 7D
EM_ADC a_x,Absolute_Index_X
E0_ADC a_x,Absolute_Index_X

; 7E
EM_ROR a_x,Absolute_Index_X
E0_ROR a_x,Absolute_Index_X

; 7F
EM_ADC al_x,Absolute_Long_Index_X
E0_ADC al_x,Absolute_Long_Index_X
