%ifndef SNEeSe_sprites_ni
%define SNEeSe_sprites_ni

%ifndef SNEeSe_sprites_asm

extern _sprites_text_start,_sprites_data_start,_sprites_bss_start
extern OAM_X,OAM_Tile,OAM_Size,OAM_Y,OAM_Palette,OAM_Flip
extern _OAM,SpriteCount,Sprite_Mode
extern _HiSprite,SPRLatch
extern _OBSEL
extern OAMOdd,OAMReadOdd
extern _HiSpriteCnt1,HiSpriteCnt2
extern _OBBASE,_OBNAME
extern _OAMAddress,_OAMAddress_VBL
extern _HiSpriteAddr,_HiSpriteBits
extern NextSprite,Priority_Used
extern SpriteZ,Rendered_Sprites,SpriteList
extern Redo_OAM

extern RENDER_SPRITE_8x8_16x16
extern RENDER_SPRITE_8x8_32x32
extern RENDER_SPRITE_8x8_64x64
extern RENDER_SPRITE_16x16_32x32
extern RENDER_SPRITE_16x16_64x64
extern RENDER_SPRITE_32x32_64x64

extern Plot_Sprites
extern _Recache_OAM,Recache_OAM
extern _Reset_Sprites
extern SNES_R2138,SNES_W2101,SNES_W2102,SNES_W2103,SNES_W2104
%endif

%define Reset_Sprites _Reset_Sprites

%macro ALL_SPRITES_PLANE 1
%if %1 == 3
; Plot all sprites
 mov al,[SpriteList]
 test al,al
 jz %%no_sprites
 mov dword [NextSprite],1+SpriteList
 call dword [Sprite_Mode]   ; call sprite routines
%endif

 mov al,[Priority_Used+%1]
 test al,al
 jz %%no_sprites
 mov cl,%1
 call Plot_Sprites
%%no_sprites:
%endmacro

%endif ; SNEeSe_sprites_ni
